Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 653437 - Intel 3945abg wireless not working
Intel 3945abg wireless not working
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-15 08:13 EST by James Bennet
Modified: 2012-10-30 14:34 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-13 09:08:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (95.54 KB, text/plain)
2010-11-18 18:38 EST, Orion Poplawski
no flags Details
/var/log/messages with iwl3945 debug=0x47833fff (497.78 KB, application/x-gzip)
2010-12-01 11:36 EST, Orion Poplawski
no flags Details

  None (edit)
Description James Bennet 2010-11-15 08:13:33 EST
Description of problem:

In fedora 14, the kernel *should* have support for the intel 3945abg wireless adapter out of the box. It doesnt work.

Its a Lenovo 3000 laptop - Model C200 (8922-BXG)
Comment 1 John W. Linville 2010-11-15 10:09:06 EST
Perhaps you could be more specific -- that hardware is certainly supported.

Please attach the output of 'lspci -n', 'dmesg', and 'rfkill list'.  Also include the output of 'rpm -q iwl3945-firmware'.
Comment 2 Orion Poplawski 2010-11-18 18:38:22 EST
Created attachment 461416 [details]
dmesg

I'm also seeing trouble with a Lenovo ThinkPad T60 and

03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
03:00.0 0280: 8086:4227 (rev 02)

iwl3945-firmware-15.32.2.9-4.fc13.noarch

Often fails to connect (either association, or association works but dhcp fails) or is very slow when it does.
Comment 3 Orion Poplawski 2010-11-18 18:39:55 EST
Is it worth trying out a compat-wireless build?
Comment 4 Stanislaw Gruszka 2010-11-24 07:56:10 EST
Yes, so we can see if the problem is fixed upstream.

This problem seems to be AP specific, I have T-60 laptop and it works here, what is your AP and it's configuration?
Comment 5 Orion Poplawski 2010-11-24 11:51:45 EST
Well, I tried last week, but the module failed to load with:

Nov 19 08:29:10 pueo kernel: [61107.744042] Compat-wireless backport release: compat-wireless-2010-11-10-9-gb131f33
Nov 19 08:29:10 pueo kernel: [61107.744049] Backport based on linux-next.git next-20101118
Nov 19 08:29:10 pueo kernel: [61107.773073] cfg80211: Calling CRDA to update world regulatory domain
Nov 19 08:29:10 pueo kernel: [61107.862652] iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, in-tree:ds
Nov 19 08:29:10 pueo kernel: [61107.862656] iwl3945: Copyright(c) 2003-2010 Intel Corporation
Nov 19 08:29:10 pueo kernel: [61107.862734] ------------[ cut here ]------------
Nov 19 08:29:10 pueo kernel: [61107.862738] kernel BUG at /usr/src/compat-wireless-2010-11-18/net/mac80211/main.c:540!
Nov 19 08:29:10 pueo kernel: [61107.862741] invalid opcode: 0000 [#1] SMP 
Nov 19 08:29:10 pueo kernel: [61107.862744] last sysfs file: /sys/devices/platform/regulatory.0/uevent
Nov 19 08:29:10 pueo kernel: [61107.862747] CPU 1 
Nov 19 08:29:10 pueo kernel: [61107.862748] Modules linked in: iwl3945(+) iwlcore mac80211 cfg80211 compat nfs lockd fscache nfs_acl auth_rpcgss rfcomm sco bnep l2cap cryptd aes_x86_64 aes_generic sunrpc ipv6 cpufreq_ondemand acpi_cpufreq freq_table mperf uinput snd_hda_codec_analog arc4 snd_hda_intel snd_hda_codec snd_hwdep ecb ppdev snd_seq snd_seq_device snd_pcm thinkpad_acpi parport_pc parport snd_timer btusb nsc_ircc irda crc_ccitt snd soundcore bluetooth e1000e iTCO_wdt iTCO_vendor_support snd_page_alloc microcode rfkill i2c_i801 yenta_socket i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: cfg80211]
Nov 19 08:29:10 pueo kernel: [61107.862794] 
Nov 19 08:29:10 pueo kernel: [61107.862797] Pid: 29572, comm: modprobe Not tainted 2.6.35.6-48.fc14.x86_64 #1 1953CTO/1953CTO
Nov 19 08:29:10 pueo kernel: [61107.862800] RIP: 0010:[<ffffffffa0591225>]  [<ffffffffa0591225>] ieee80211_alloc_hw+0xa9/0x3b1 [mac80211]
Nov 19 08:29:10 pueo kernel: [61107.862817] RSP: 0018:ffff88003e805c88  EFLAGS: 00010246
Nov 19 08:29:10 pueo kernel: [61107.862820] RAX: ffff8800ba071b80 RBX: ffff8800ba070480 RCX: 0000000000000001
Nov 19 08:29:10 pueo kernel: [61107.862822] RDX: ffff880002100000 RSI: ffffffffa0587448 RDI: ffff8800ba0700c0
Nov 19 08:29:10 pueo kernel: [61107.862825] RBP: ffff88003e805ca8 R08: ffff88009af2c880 R09: ffff8800ba070220
Nov 19 08:29:10 pueo kernel: [61107.862827] R10: ffff880072794cc5 R11: ffff88003e805c88 R12: ffff8800ba070180
Nov 19 08:29:10 pueo kernel: [61107.862830] R13: ffffffffa022c010 R14: 00000000ffffffff R15: 0000000000000000
Nov 19 08:29:10 pueo kernel: [61107.862833] FS:  00007fc0d348b720(0000) GS:ffff880002100000(0000) knlGS:0000000000000000
Nov 19 08:29:10 pueo kernel: [61107.862836] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Nov 19 08:29:10 pueo kernel: [61107.862838] CR2: 00007fc0d316200f CR3: 0000000037f2e000 CR4: 00000000000006e0
Nov 19 08:29:10 pueo kernel: [61107.862841] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Nov 19 08:29:10 pueo kernel: [61107.862844] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Nov 19 08:29:10 pueo kernel: [61107.862847] Process modprobe (pid: 29572, threadinfo ffff88003e804000, task ffff880072625d00)
Nov 19 08:29:10 pueo kernel: [61107.862849] Stack:
Nov 19 08:29:10 pueo kernel: [61107.862850]  ffff88003e805cd8 ffff8800bb466000 ffffffffa022c400 ffff8800bb466000
Nov 19 08:29:10 pueo kernel: [61107.862854] <0> ffff88003e805cc8 ffffffffa05d16a1 ffff8800bb466000 ffffffffa022c400
Nov 19 08:29:10 pueo kernel: [61107.862858] <0> ffff88003e805d18 ffffffffa0216d70 ffff88003e805cf8 ffffffff81219aeb
Nov 19 08:29:10 pueo kernel: [61107.862863] Call Trace:
Nov 19 08:29:10 pueo kernel: [61107.862873]  [<ffffffffa05d16a1>] iwl_alloc_all+0x19/0x44 [iwlcore]
Nov 19 08:29:10 pueo kernel: [61107.862881]  [<ffffffffa0216d70>] iwl3945_pci_probe+0x2c/0xe85 [iwl3945]
Nov 19 08:29:10 pueo kernel: [61107.862888]  [<ffffffff81219aeb>] ? kobject_get+0x1a/0x21
Nov 19 08:29:10 pueo kernel: [61107.862893]  [<ffffffff812329d9>] local_pci_probe+0x17/0x1b
Nov 19 08:29:10 pueo kernel: [61107.862897]  [<ffffffff81233194>] pci_device_probe+0xd2/0x104
Nov 19 08:29:10 pueo kernel: [61107.862902]  [<ffffffff8116f5ce>] ? sysfs_create_link+0x13/0x15
Nov 19 08:29:10 pueo kernel: [61107.862908]  [<ffffffff812d75a7>] driver_probe_device+0x14b/0x271
Nov 19 08:29:10 pueo kernel: [61107.862911]  [<ffffffff812d772a>] __driver_attach+0x5d/0x81
Nov 19 08:29:10 pueo kernel: [61107.862914]  [<ffffffff812d76cd>] ? __driver_attach+0x0/0x81
Nov 19 08:29:10 pueo kernel: [61107.862917]  [<ffffffff812d64ab>] bus_for_each_dev+0x56/0x82
Nov 19 08:29:10 pueo kernel: [61107.862921]  [<ffffffff812d7178>] driver_attach+0x1e/0x20
Nov 19 08:29:10 pueo kernel: [61107.862924]  [<ffffffff812d6d52>] bus_add_driver+0xf1/0x25e
Nov 19 08:29:10 pueo kernel: [61107.862928]  [<ffffffff812d798e>] driver_register+0x9b/0x108
Nov 19 08:29:10 pueo kernel: [61107.862931]  [<ffffffff812333c0>] __pci_register_driver+0x56/0xc2
Nov 19 08:29:10 pueo kernel: [61107.862937]  [<ffffffffa01f505c>] iwl3945_init+0x5c/0x7b [iwl3945]
Nov 19 08:29:10 pueo kernel: [61107.862943]  [<ffffffffa01f5000>] ? iwl3945_init+0x0/0x7b [iwl3945]
Nov 19 08:29:10 pueo kernel: [61107.862949]  [<ffffffff810021a1>] do_one_initcall+0x5e/0x155
Nov 19 08:29:10 pueo kernel: [61107.862954]  [<ffffffff8107caa9>] sys_init_module+0xa6/0x1e4
Nov 19 08:29:10 pueo kernel: [61107.862958]  [<ffffffff81009cf2>] system_call_fastpath+0x16/0x1b
Nov 19 08:29:10 pueo kernel: [61107.862960] Code: 49 83 7d 10 00 75 02 0f 0b 49 83 7d 30 00 75 02 0f 0b 49 83 7d 18 00 75 02 0f 0b 49 83 7d 28 00 75 02 0f 0b 49 83 7d 48 00 75 02 <0f> 0b 4c 89 6b 60 66 c7 43 58 01 00 49 8d bc 24 a8 04 00 00 c6 
Nov 19 08:29:10 pueo kernel: [61107.862994] RIP  [<ffffffffa0591225>] ieee80211_alloc_hw+0xa9/0x3b1 [mac80211]
Nov 19 08:29:10 pueo kernel: [61107.863002]  RSP <ffff88003e805c88>
Nov 19 08:29:10 pueo kernel: [61107.863005] ---[ end trace 968a99e4dbeeb5f8 ]---


The machine in question is having trouble at work and at home.  Work AP is a TRENDnet TEW-670AP dual band agn with WPA2 encryption.
Comment 6 Stanislaw Gruszka 2010-11-25 08:05:54 EST
Please provide dmesg from fedora kernel with debug=0x47833fff iwl3945 module option.
Comment 7 Orion Poplawski 2010-12-01 11:36:41 EST
Created attachment 464049 [details]
/var/log/messages with iwl3945 debug=0x47833fff

Added the debug=0x47833fff option.  User took machine home and tried unsuccessfully to connect to home AP.  Managed to connect to work AP this morning, though I don't know at what speed.
Comment 8 Stanislaw Gruszka 2010-12-10 08:55:47 EST
I can not find anything suspicious in the log ... . Let's first see if this is fixed upstream, I prepared compact wireless rpm's, so you can try them. I tested them on my iwl3945, there was no oops.

http://people.redhat.com/sgruszka/compact_wireless.html
Comment 9 Orion Poplawski 2010-12-13 18:14:57 EST
No help here - user still cannot connect to home wireless.  Tried with kmod-compact-wireless-rc-2.6.35.9-64.fc14.x86_64-2.6.37.rc5.2.s-4.fc14.1.x86_64.rpm.  I can post updated log if desired.
Comment 10 Stanislaw Gruszka 2010-12-14 07:39:58 EST
Ok, I first try to solve bug 654599, perhaps fix for it helps also here. If not, I'll see what to do (if I'll want you provide more logs or buy your AP to reproduce problem locally).
Comment 11 James Bennet 2010-12-14 17:55:52 EST
Its me, the original reporter. Worth noting that the wireless card in question is not faulty, just tried it with Windows and Ubuntu. Also tried it with 2 AP's - A Belkin thing supplied by my ISP, and the one at my Universiy (These use 2 different authentication/encryption schemes too). Still doesnt work under fedora (Installed from LiveCD - fully updated) - its definately a bug on your end.
Comment 12 Stanislaw Gruszka 2010-12-15 02:41:59 EST
(In reply to comment #11)
> Its me, the original reporter. Worth noting that the wireless card in question
> is not faulty, just tried it with Windows and Ubuntu.
What kernel version Ubuntu have ?
Comment 13 James Bennet 2010-12-15 13:34:32 EST
2.6.35 stock ubuntu one and 2.6.37 self-compiled from kernel.org trunk
Comment 14 Stanislaw Gruszka 2010-12-16 04:41:22 EST
As we have 2.6.35 too on F-14, that mean ubuntu have extra patch with fix or we have extra patch which broke things or this is not a kernel/driver problem but other component i.e. NetworkManager or wpa_supplicant. 

What versions of NetworkManager and wpa_supplicant ubuntu have?
Comment 15 Stanislaw Gruszka 2010-12-22 05:39:27 EST
ubuntu maverick:
network-manager (0.8.1+git.20100810t184654.ab580f4-0ubuntu2)
wpasupplicant (0.6.10-2) 

F-14:
NetworkManager-0.8.1-10.git20100831.fc14
wpa_supplicant-0.6.8-10.fc14

So wpa_supplicant version differ. Could you try to install newer (or older) version of wpa_supplicant from source on F-14 and see if that helps?

Note ubuntu have some regulatory changes in they tree, this could make a difference as well.
Comment 17 Stanislaw Gruszka 2011-06-09 09:50:17 EDT
We have fixed several iwl3945 bugs. Could You check if issue is still present on current upstream? Please test compat-wireless-2.6.39 and if not work compat-wireless-next from http://people.redhat.com/sgruszka/compact_wireless.html .
Comment 18 Stanislaw Gruszka 2011-07-13 09:08:16 EDT
Ok, I believe this is fixed upstream. You can use compat wireless on fodora to have fixes.

Note You need to log in before you can comment on or make changes to this bug.